import loopbackConnector = require('loopback-connector');
import { Callback, DataSource } from 'loopback-datasource-juggler';
import { SqlDatabase } from 'sqlite3orm/SqlDatabase';
import { Sqlite3AllSettings } from './sqlite3-settings';
export declare class Sqlite3Connector extends loopbackConnector.SQLConnector {
    settings: Sqlite3AllSettings;
    connecting?: Promise<void>;
    private _sqldb;
    readonly sqldb: SqlDatabase;
    constructor(settings: Sqlite3AllSettings);
    /**
     *
     * connect to Sqlite3 database
     *
     * @callback [cb] The callback function
     */
    connect(cb?: Callback<void>): Promise<void>;
    /**
     *
     * disconnect from Sqlite3 database
     *
     * @callback [cb] The callback function
     */
    disconnect(cb?: Callback<void>): Promise<void>;
    ping(cb?: Callback<void>): Promise<number>;
}
export declare function initialize(dataSource: DataSource, cb?: Callback<void>): void;
export declare const name = "sqlite3x";
