"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function promisify(promise, cb) {
    if (!cb) {
        return promise;
    }
    else {
        return promise
            .then((val) => {
            cb.call(promise, undefined, val);
            return Promise.resolve(val);
        })
            .catch((err) => {
            cb.call(promise, err);
            return Promise.reject(err);
        });
    }
}
exports.promisify = promisify;
//# sourceMappingURL=index.js.map